Skip to main content
POST
/
minimax-i2v-01-live
/
async
curl --request POST \ --url https://api.modellix.ai/api/v1/minimax/minimax-i2v-01-live/async \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "first_frame_image": "https://example.com/image.jpg" } '
{ "code": 0, "message": "success", "data": { "status": "pending", "task_id": "task-abc123", "model_id": "model-123", "get_result": { "method": "GET", "url": "https://api.modellix.ai/api/v1/tasks/task-abc123" } } }

Authorizations

Authorization
string
header
required

API Key authentication. Format: Bearer YOUR_API_KEY.

Body

application/json
first_frame_image
string
required

First frame image URL or Base64 Data URL

Minimum string length: 1
Example:

"https://example.com/image.jpg"

prompt
string

Video content description. Does not support camera control instructions

Required string length: 1 - 2000
Example:

"Stylized animation"

prompt_optimizer
boolean
default:true

Enable automatic prompt optimization

Example:

true

duration
enum<integer>
default:6

Video duration (fixed at 6 seconds)

Available options:
6
Example:

6

resolution
enum<string>
default:720P

Video resolution (fixed at 720P)

Available options:
720P
Example:

"720P"

Response

Task submitted successfully

code
integer
required

Response code, 0 indicates success

Example:

0

message
string
required

Response message

Example:

"success"

data
object
required